&[data-tip] {
  &[data-tip-position] {
    &[data-tip-position*="top"] {
      &:after {
        top: 0;
        left: 50%;
        @include transform(translate(-50%, calc(-100% - 0.5em)));
        // @include transform(translate(-50%, calc(-100% - 0.5em)));
      }
    }
    &[data-tip-position*="right"] {
      &:after {
        top: 50%;
        right: 0;
        @include transform(translate(calc(100% + 0.5em), -50%));
      }
    }
    &[data-tip-position*="bottom"] {
      &:after {
        bottom: 0;
        left: 50%;
        @include transform(translate(-50%, calc(100% + 0.5em)));
      }
    }
    &[data-tip-position*="left"] {
      &:after {
        top: 50%;
        left: 0;
        @include transform(translate(calc(-100% - 0.5em), -50%));
      }
    }
  }
  &[data-tip-text] {
    &:after {
      text-transform: none;
    }
  }
  &:after {
    display: none;
    overflow: hidden;
    content: attr(data-tip);
    background: #000;
    z-index: 1;
    position: absolute;
    line-height: 15px;
    font-weight: 300;
    color: $primary;
    padding: 3px 5px;
    text-transform: capitalize;
    white-space: nowrap;
    text-align: center;
    @include font-size();
    @include border-radius(3px);
    @include box-sizing(content-box);
    @include box-shadow(5px 5px 15px negro(25));
  }
  &:hover:not([disabled]):not([class~="active"]):not([class~="open"]) {
    &:after {
      cursor: text;
      display: block;
    }
  }
}
